Subject: Re: C++ Compilers : Comparative Performance Testsuite
From: "Gerrit P. Haase" <[email-masked]>
To: "Alex Vinokur" <[email-masked]>
Cc: [email-masked]
Date: Sat, 1 Nov 2003 01:48:19 +0100

Hallo Alex,

Am Freitag, 31. Oktober 2003 um 19:41 schriebst du:

> "Gerrit P. Haase" <[email-masked]> wrote
> [snip]
>>
>> I posted a Makefile to build a Cygwin version of STLport with DLL's and
>> static archives:  http://www.cygwin.com/ml/cygwin/2003-06/msg00790.html
>>
>> If it shows up that using STLport instead of libstdc++ templates
>> increases the speed of the code running, maybe someone volunteers to
>> maintain an STLport package for Cygwin?
>>
> [snip]

> I have done the following things :

> $ cd STLport-4.5.3
> $ ln -s /usr/include/c++/3.3.1 g++-v3
> $ cd src
> $ make
> [---omitted---]
> $ cd ../lib
> $ ls -1
> libstlport-45.dll
> libstlport.a
> libstlport.dll.a
> libstlport_stldebug-45.dll
> libstlport_stldebug.a
> libstlport_stldebug.dll.a
> obj

> Now I would like to compile file foo.cpp _with stlport libraries_
> using the Cygwin/MinGW compiler. 
> How to do that?

g++ -c -o foo.o foo.cpp
gcc -o foo -lstlport

g++ -mno-cygwin -c -o foo.o foo.cpp
gcc -mno-cygwin -o foo -lstlport

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/